<%@ Page language="c#" Codebehind="FullClientDestinationFormatAction.aspx.cs" AutoEventWireup="false" Inherits="BusinessObjects.AnalyticalReporting.PlatformActions.DeskI_Destination.DeskiDestinationFormatAction" %>
<%@ Import Namespace = "BusinessObjects.AnalyticalReporting" %>
<%@ Import Namespace = "BusinessObjects.AnalyticalReporting.Shared" %>
<%@ Import Namespace = "BusinessObjects.Enterprise.WebUtil.clientaction"%>
<%@ Import Namespace = "BusinessObjects.AnalyticalReporting.PlatformActions.DeskI_Destination"%>
<%@ Import Namespace = "BusinessObjects.Enterprise.WebUtil"%>
<%@ Import Namespace = "CrystalDecisions.Enterprise"%>

<html>
  <head>
    <title>???schedule.options.destination???</title>    
    
    <script language="javascript" src='<%= rpContext %><%= strViewerContextPath %>/lib/dom.js' type="text/javascript"></script>
    <script language="javascript" src='<%= rpContext %><%= strViewerContextPath %>/lib/treeview.js' type="text/javascript"></script>
    <script language="javascript" src='<%= rpContext %><%= strViewerContextPath %>/lib/menu.js' type="text/javascript"></script>
    <script language="javascript" src='<%= rpContext %><%= strViewerContextPath %>/lib/palette.js' type="text/javascript"></script>
 
 	<script language="javascript" type="text/javascript">
		// must be initialized in the header on their own
		_lang="<%= strLanguage %>";
		initDom("<%= rpContext %><%= strViewerContextPath %>/lib/images/skin_standard/", _lang);
	</script>
	
	<script language="javascript" type="text/javascript">styleSheet();</script>	
	<link rel='stylesheet' type='text/css' name='stylelink' href='<%= rpContext %><%= warFilePath + Request[ActionHelper.APP_SERVICE_URL_PARAM] + "?service=skinning&resource=stylesheet"%>'>
	   
    <script language="javascript" src='<%= rpContext %><%= contextPath %>/js/callback.js' type="text/javascript"></script>
		<% if("schedule".Equals(Session["cmd"])) { %>
		    <script type="text/javascript">
		        if (parent.submitNext) {
		            parent.submitNext();
		        }
		    </script>
		<% } %>
	
	<script language="javascript" type="text/javascript">


// newIconListWidget(id,w,h,icns,clickCB,doubleClickCB,bgClass)
formatCheckList = newIconListWidget("formatCheckList", 200, 154, null,chgDoc,null,null)
    	
<%
FullClientDestinationFormat.FormatOption[] selectedFormats = (FullClientDestinationFormat.FormatOption[])System.Web.HttpContext.Current.Session["selectedFormats"];
string currentFormat = ((FullClientDestinationFormat)Session["bean"]).CurrentFormat;
string currentFormatSelected = "";
for (int i=0 ;i < selectedFormats.Length;i++)
{
/// UPD MIRA INFO : following table should be updated for icons and href links
if (selectedFormats[i] != null)
{
%>


	//newTreeWidgetElem(iconId,name,userData,help,iconSelId,tooltip,iconAlt,textClass,textSelectedClass,icns)
	var checkItem = newTreeWidgetElem(-1,"<%=selectedFormats[i].DisplayName%>","<%=selectedFormats[i].FormatID%>","<%=selectedFormats[i].DisplayName%>",null,"<%=selectedFormats[i].DisplayName%>")
	checkItem.isCheck=true
	checkItem.checkCB = formatCheckCb
<%
	if (selectedFormats[i].IsSelected)
	{
	%>
	
		checkItem.check(true)
		<%
		if (currentFormat == selectedFormats[i].FormatID)
		{
				currentFormatSelected ="true";
				}
	
	}
	%>


	//item.checkCB= 
	formatCheckList.add(checkItem)
<%    
}
}
System.Web.HttpContext.Current.Session.Add("currentFormatSelected", currentFormatSelected);
%>


function formatCheckCb() {
	var id = this.id	
	
	for (var i = 0; i < formatCheckList.getCount(); i++) {
		var item = formatCheckList.sub[i]
		if (item.id != id) {
			item.check(false)
		}
		if ((item.id == id) && !item.isChecked()) {
			deselectDestinations()
		}
	}
		//
		
	formatCheckList.selectById(id)
	chgDoc()
}

function selectReportsCB() {
	var theForm = document.forms[0]
	var allreport = theForm["allReports"].checked
	theForm["selectedReport"].disabled = allreport
	theForm["selectedReportName"].value = allreport?"":theForm["selectedReport"].value
}


function deselectDestinations() {

<%	
	FullClientDestinationFormat bean = (FullClientDestinationFormat) System.Web.HttpContext.Current.Session["bean"];
	FullClientDestinationFormat.DestOption[] selectedDestinations = bean.SelectedDestinations;
	
	for (int i=0; i < selectedDestinations.Length; i++)
	{
	%>
		document.forms[0]["<%=selectedDestinations[i].DestName%>"].checked = false
		/*var destId = getDestinationID("CrystalEnterprise.Managed")
		eval('document.forms[0].' + destId + '.checked = false')*/
    <%
    }
    %>
}


<%		
	string availableDest = "";
	for (int i=0; i < selectedDestinations.Length; i++)
	{
	if (selectedDestinations[i].IsAvailable)
	{
		availableDest = selectedDestinations[i].DisplayName; 
	}
	}
	System.Web.HttpContext.Current.Session.Add("availableDest", availableDest);
	%>











zoneDiskUnmanaged = newWidget("zoneDiskUnmanaged")
zoneSmtp = newWidget("zoneSmtp")
zoneFtp = newWidget("zoneFtp")
zoneManaged = newWidget("zoneManaged")

var helpURL = "<% = System.Web.HttpContext.Current.Session["helpURL"]%>";

function handleSubmit(cmd){
    //preSubmitDestinationData(); // done elsewher
    var validated = true;
<% if (!System.Web.HttpContext.Current.Session["ctx"].Equals("singlepage")) {%>
    validated = validate();
    <% } %>
    if(validated) {
        document.forms[0].okOrCancel.value = cmd;
        document.forms[0].submit();
    }
}
        
function doSubmit() {

	updateFormatForm()	
	updateDestForm()
	        
    var hiddenSubmit=document.getElementById("hiddenSubmit");

    if(hiddenSubmit)
    {
    
		    var validated = true; 
			<% if (!System.Web.HttpContext.Current.Session["ctx"].Equals("singlepage")) {%>
				validated = validate();
			<% } %>
			if(validated) 
			{
				document.forms[0].okOrCancel.value = "schedule";
				
            <%= Page.GetPostBackEventReference(hiddenSubmit, "")%> ;
        
			}
		
	}

}
        
function doOK() {
    handleSubmit("ok");
}
        
function doCancel(){
    document.forms[0].okOrCancel.value = "cancel";
    document.forms[0].submit();	
}

var attachmentsDisabled = <%=bean.SmtpAttachmentsDisabled.ToString().ToLower()%>;

//manage placeholders
var placeHoldersId = new Array('%SI_NAME%', '%SI_ID%', '%SI_OWNER%', '%SI_STARTTIME%', '%SI_EMAIL_ADDRESS%', '%SI_USERFULLNAME%', '%SI_DOCUMENT_HTML_CONTENT%', '%SI_VIEWER_URL%')
var placeHoldersName = new Array("<%=bundle.GetString("schedule.destination.placeholder.title")%>", "<%=bundle.GetString("schedule.destination.placeholder.id")%>",	"<%=bundle.GetString("schedule.destination.placeholder.owner")%>","<%=bundle.GetString("schedule.destination.placeholder.datetime")%>",	"<%=bundle.GetString("schedule.destination.placeholder.email")%>", "<%=bundle.GetString("schedule.destination.placeholder.fullname")%>", "<%=bundle.GetString("schedule.destination.placeholder.documentcontent")%>","<%=bundle.GetString("schedule.destination.placeholder.viewer")%>")
							
//'%EXT%' 'File Extension',
							
//newMenuWidget(id,hideCB,beforeShowCB)
inboxFileNamePlcHoldMenu = newMenuWidget("inboxFileNamePlcHoldMenu",null,null)
//diskDirectoryPlcHoldMenu = newMenuWidget("diskDirectoryPlcHoldMenu",null,null) // ADAPT01014809
diskFilenamePlcHoldMenu = newMenuWidget("diskFilenamePlcHoldMenu",null,null)
//ftpDirectoryPlcHoldMenu = newMenuWidget("ftpDirectoryPlcHoldMenu",null,null) // ADAPT01014809
ftpFilenamePlcHoldMenu = newMenuWidget("ftpFilenamePlcHoldMenu",null,null)
smtpSubjectPlcHoldMenu = newMenuWidget("smtpSubjectPlcHoldMenu",null,null)
smtpMessagePlcHoldMenu = newMenuWidget("smtpMessagePlcHoldMenu",null,null)
smtpFileNamePlcHoldMenu = newMenuWidget("smtpFileNamePlcHoldMenu",null,null)


for	(var i=0; i < placeHoldersId.length - 2 ; i++) {
	inboxFileNamePlcHoldMenu.add(placeHoldersId[i], placeHoldersName[i], addProperty)
	//diskDirectoryPlcHoldMenu.add(placeHoldersId[i], placeHoldersName[i], addProperty) // ADAPT01014809
	diskFilenamePlcHoldMenu.add(placeHoldersId[i], placeHoldersName[i], addProperty)
	//ftpDirectoryPlcHoldMenu.add(placeHoldersId[i], placeHoldersName[i], addProperty) // ADAPT01014809
	ftpFilenamePlcHoldMenu.add(placeHoldersId[i], placeHoldersName[i], addProperty)
	smtpSubjectPlcHoldMenu.add(placeHoldersId[i], placeHoldersName[i], addProperty)
	smtpFileNamePlcHoldMenu.add(placeHoldersId[i], placeHoldersName[i], addProperty)	
	smtpMessagePlcHoldMenu.add(placeHoldersId[i], placeHoldersName[i], addProperty)		
}
smtpMessagePlcHoldMenu.add(placeHoldersId[i], placeHoldersName[i], addProperty)
i++
smtpMessagePlcHoldMenu.add(placeHoldersId[i], placeHoldersName[i], addProperty)

		
//newIconMenuWidget(id,src,clickCB,text,alt,w,h,dx,dy,disDx,disDy,isColor,beforeShowCB,menuType)

inboxFileNamePlcHold = newRadioIconMenuWidget("inboxFileNamePlcHold", null, null, "...")
inboxFileNamePlcHold.fieldID = 'inboxFileName'
inboxFileNamePlcHold.attachMenu(inboxFileNamePlcHoldMenu)

// ADAPT01014809
/* diskDirectoryPlcHold = newRadioIconMenuWidget("diskDirectoryPlcHold", null, null, "...")
diskDirectoryPlcHold.fieldID = 'diskDirectory'
diskDirectoryPlcHold.attachMenu(diskDirectoryPlcHoldMenu) */

diskFilenamePlcHold = newRadioIconMenuWidget("diskFilenamePlcHold", null, null, "...")
diskFilenamePlcHold.fieldID = 'diskFilename'
diskFilenamePlcHold.attachMenu(diskFilenamePlcHoldMenu)

// ADAPT01014809
/* ftpDirectoryPlcHold = newRadioIconMenuWidget("ftpDirectoryPlcHold", null, null, "...")
ftpDirectoryPlcHold .fieldID ='ftpDirectory'
ftpDirectoryPlcHold.attachMenu(ftpDirectoryPlcHoldMenu)*/

ftpFilenamePlcHold = newRadioIconMenuWidget("ftpFilenamePlcHold", null, null, "...")
ftpFilenamePlcHold.fieldID = 'ftpFilename'
ftpFilenamePlcHold.attachMenu(ftpFilenamePlcHoldMenu)

smtpSubjectPlcHold = newRadioIconMenuWidget("smtpSubjectPlcHold", null, null, "...")
smtpSubjectPlcHold.fieldID = 'smtpSubject'
smtpSubjectPlcHold.attachMenu(smtpSubjectPlcHoldMenu)

smtpFileNamePlcHold = newRadioIconMenuWidget("smtpFileNamePlcHold", null, null, "...")
smtpFileNamePlcHold.fieldID = 'smtpFilename'
smtpFileNamePlcHold.attachMenu(smtpFileNamePlcHoldMenu)

smtpMessagePlcHold = newRadioIconMenuWidget("smtpMessagePlcHold", null, null, "...")
smtpMessagePlcHold.fieldID = 'smtpMessage'
smtpMessagePlcHold.attachMenu(smtpMessagePlcHoldMenu)
              
                    
/////////////////////////////////////
// options for destinations functions
/////////////////////////////////////

function initDestination()
{
	// Call getCtrlPrefix() early so we'll cache the current destination type.  If getCtrlPrefix() is first called right
	// after the user changed the destination type, the cached destination type will be incorrect as it will be the new dest type.
	var ctrlPrefix = getCtrlPrefix();

	if (ctrlPrefix == "default") return
	
	var theForm = document.forms[0]
	if (okCtrl(ctrlPrefix)) {
	    if (theForm.elements[ctrlPrefix + "AddExtensionChk"])
			theForm.elements[ctrlPrefix + "AddExtensionChk"].checked = (theForm.elements[ctrlPrefix + "AddExtension"].value == "true");
	    if (theForm.elements[ctrlPrefix + "CreateUniqueFileNameChk"])
			theForm.elements[ctrlPrefix + "CreateUniqueFileNameChk"].checked = (theForm.elements[ctrlPrefix + "CreateUniqueFileName"].value == "true");
		if (theForm.cleanupChk)
			theForm.cleanupChk.checked = (theForm.elements["cleanup"].value == "true");
	}

    if (ctrlPrefix == "disk") {
		onSetDiskFilenameDisabled();		
    } else if (ctrlPrefix == "smtp") {
        document.forms[0].smtpUseAttachmentChk.checked = !attachmentsDisabled && (document.forms[0].smtpUseAttachment.value == "true");
        onSetSMTPAttachmentDisabled(!document.forms[0].smtpUseAttachmentChk.checked)    	
    } else if (ctrlPrefix == "ftp") {
        onSetFTPFilenameDisabled();
    } else if (ctrlPrefix == "inbox") {
    	inboxInit();
	    onSetInboxFilenameDisabled();
    }
}

function getCtrlPrefix()
{   

<%
	string strReturn = "";
	if (bean.DestinationName == CeProgID.DISKUNMANAGED)
		strReturn = "return \"disk\";";
	else if (bean.DestinationName == CeProgID.SMTP)
		strReturn = "return \"smtp\";";
	else if (bean.DestinationName == CeProgID.FTP)
		strReturn = "return \"ftp\";";
	else if (bean.DestinationName == CeProgID.MANAGED_DEST)
		strReturn = "return \"inbox\";";
	else
		strReturn = "return \"default\";";
%>
<%=strReturn%>
}


function onSetInboxFilenameDisabled()
{
	var disabled = document.forms[0].inboxFileType[0].checked;
	document.forms[0].inboxFileName.disabled = disabled;
	inboxFileNamePlcHold.setDisabled(disabled)
	//document.forms[0].props.disabled = disabled;
}


function onSetDiskFilenameDisabled()
{
	var disabled = document.forms[0].diskFileType[0].checked;
	document.forms[0].diskFilename.disabled = disabled;
	diskFilenamePlcHold.setDisabled(disabled)
	
	document.forms[0].diskAddExtensionChk.disabled = disabled;
	if (document.forms[0].diskCreateUniqueFileNameChk)
		document.forms[0].diskCreateUniqueFileNameChk.disabled = disabled;
	
	disableDisabledText();
}


function onSetFTPFilenameDisabled()
{
	var disabled = document.forms[0].ftpFileType[0].checked;
	document.forms[0].ftpFilename.disabled = disabled;
	ftpFilenamePlcHold.setDisabled(disabled)
	
	//document.forms[0].props.disabled = disabled;
	document.forms[0].ftpAddExtensionChk.disabled = disabled;
	if (document.forms[0].ftpCreateUniqueFileNameChk)
		document.forms[0].ftpCreateUniqueFileNameChk.disabled = disabled;
	
	disableDisabledText();
}

function onSetSMTPAttachmentDisabled(disabled) {

	
	document.forms[0].smtpFileType[0].disabled = disabled;
	document.forms[0].smtpFileType[1].disabled = disabled;

	smtpFileNamePlcHold.setDisabled(disabled)

	onSetSMTPFilenameDisabled(disabled);
	
}

function onSetSMTPFileDisabled(disabled) {
	if (attachmentsDisabled)
		disabled = true;    // global override
		
	document.forms[0].smtpUseAttachment.value = document.forms[0].smtpUseAttachmentChk.checked;

	document.forms[0].smtpFileType[0].disabled = disabled;
	document.forms[0].smtpFileType[1].disabled = disabled;

	if ( disabled == true )
	{
		document.forms[0].smtpFilename.disabled = true;
		//document.forms[0].props.disabled = true;
		document.forms[0].smtpAddExtensionChk.disabled = true;
		if (document.forms[0].smtpCreateUniqueFileNameChk)
			document.forms[0].smtpCreateUniqueFileNameChk.disabled = true;
	}
	else
	{
		onSetSMTPFilenameDisabled();
	}
}

function onSetSMTPFilenameDisabled()
{
	var disabled = document.forms[0].smtpFileType[0].checked;
	document.forms[0].smtpFilename.disabled = disabled;
	//document.forms[0].props.disabled = disabled;
	
	smtpFileNamePlcHold.setDisabled(disabled)
	
	document.forms[0].smtpAddExtensionChk.disabled = disabled;
	if (document.forms[0].smtpCreateUniqueFileNameChk)
		document.forms[0].smtpCreateUniqueFileNameChk.disabled = disabled;
		
	disableDisabledText();
}



function addProperty()
{
	var theForm = document.forms[0]
	var fieldID = this.par.container.fieldID	
	var txtField =  theForm.elements[fieldID]
	//replaceSelection(txtField, this.id, false) 
	
    txtField.value = txtField.value + this.id;
    txtField.focus();
    
}


destNameID="default"
destName = "<%=bean.DestinationName%>"

destNameID = getDestinationID(destName)

function getDestinationID(destName) {
	destNameID="default"
	
	if ("" != destName) {
		destNameAr= destName.split(".")
	
		if (destNameAr.length > 0) {
			destNameID = destNameAr[1]
		}	
	}
	return destNameID
}

function onDestinationCb(id) {
<%	
	for (int i=0; i < selectedDestinations.Length; i++)
	{
	%>
		if ("<%=selectedDestinations[i].DestName%>" != id) {
			document.forms[0]["<%=selectedDestinations[i].DestName%>"].checked = "<%=selectedDestinations[i].DestName%>" == id
			}
	<%
	}
	%>
			
	updateFormatForm()
  					 
}

function onIsDefaultOptionClick() {
    document.forms[0].isDefaultOption.value = document.forms[0].isDefaultOptionChk.checked;
 
	if ("default" != destNameID) {
	   	eval('zone' + destNameID + '.setDisplay(!document.forms[0].isDefaultOptionChk.checked)')
	   	//deliverPerUserZone.setDisplay(!document.forms[0].isDefaultOptionChk.checked)
	}
	initDestination()

}

function onIsDeliverPerUserClick() {
    document.forms[0].isDeliverPerUser.value = document.forms[0].isDeliverPerUserChk.checked;
 
}


function preSubmitDestinationData()
{
	var ctrlPrefix = getCtrlPrefix();
	if (ctrlPrefix=="default") return
	
	var theForm = document.forms[0];

    if(theForm.smtpUseAttachment)
        theForm.smtpUseAttachment.value = theForm.smtpUseAttachmentChk.checked;
        
    if (okCtrl(ctrlPrefix)) {    
	    if(theForm.elements[ctrlPrefix + "AddExtension"])
			theForm.elements[ctrlPrefix + "AddExtension"].value = String(theForm.elements[ctrlPrefix + "AddExtension"].checked);
		if(theForm.elements[ctrlPrefix + "CreateUniqueFileName"])
			theForm.elements[ctrlPrefix + "CreateUniqueFileName"].value = String(theForm.elements[ctrlPrefix + "CreateUniqueFileName"].checked);
	}
			
	if(theForm.cleanupChk)
		theForm.elements["cleanup"].value = String(theForm.cleanupChk.checked);

	onSubmitHandleFilenameCheckboxes();
	if (ctrlPrefix == "inbox" && theForm.isDefaultOptionChk && !theForm.isDefaultOptionChk.checked) {
		modifyValues();
	}
    
    return true;
}
        
function validate() {
	var theForm = document.forms[0];
	if (theForm.isDefaultOptionChk && theForm.isDefaultOptionChk.checked) return true
	
    var ctrlPrefix = getCtrlPrefix();
    if ((ctrlPrefix == "disk" && !checkDisk()) ||
        (ctrlPrefix == "smtp" && !checkSMTP()) ||
        (ctrlPrefix == "ftp" && !checkFTP()))
    {
        return false;
    }
    return true;
}


function checkDisk()
{
	var theForm = document.forms[0];
    if(theForm.diskDirectory && theForm.diskDirectory.value == "")
    {
		alert("<%=BusinessObjects.Enterprise.WebUtil.Encoder.EncodeJS(bundle.GetString("schedule.destination.error.diskdir"))%>");
        theForm.diskDirectory.focus();
        return false;
    }
    return true;
}

function checkSMTP()
{
	var theForm = document.forms[0];
    if(theForm.smtpSender && theForm.smtpSender.value == "")
    {
		alert("<%=BusinessObjects.Enterprise.WebUtil.Encoder.EncodeJS(bundle.GetString("schedule.destination.error.smtpsender"))%>");
        theForm.smtpSender.focus();
        return false;
    }

    if(theForm.smtpTo && theForm.smtpTo.value == "")
    {
		alert("<%=BusinessObjects.Enterprise.WebUtil.Encoder.EncodeJS(bundle.GetString("schedule.destination.error.smtpto"))%>");
        theForm.smtpTo.focus();
        return false;
    }
    return true;
}

function checkFTP()
{
	var theForm = document.forms[0];
    if(theForm.ftpHost && theForm.ftpHost.value == "")
    {
		alert("<%=BusinessObjects.Enterprise.WebUtil.Encoder.EncodeJS(bundle.GetString("schedule.destination.error.ftphost"))%>");
        theForm.ftpHost.focus();
        return false;
    }
    return true;
}

function okCtrl(ctrlPrefix){
	if ("unknown" == ctrlPrefix || "inbox" == ctrlPrefix || "default" == ctrlPrefix)
		return false;
		
	return true	
}		
		
function onSubmitHandleFilenameCheckboxes()
{
	// Check if we're in the ftp, smtp or disk tab.
	var ctrlPrefix = getCtrlPrefix();

	if (!okCtrl(ctrlPrefix)) return 
	
	var theForm = document.forms[0];

	// If "Specified File Name" is blank.
	if ( "" == String(theForm.elements[ctrlPrefix + "Filename"].value) )
		return;

	// if Default File Name radio is selected, leave filename alone
	if ( theForm.elements[ctrlPrefix + "FileType"][0].checked )
		return;

	// if extension checkbox is checked, make sure that the filename ends with .%EXT%
	if ( theForm.elements[ctrlPrefix + "AddExtensionChk"].checked )
		onAddExtensionClick();

	var ctrlCreateUniqueFileName = theForm.elements[ctrlPrefix + "CreateUniqueFileNameChk"];
	if (ctrlCreateUniqueFileName)
	{
		// if unique checkbox is checked, make sure that the filename includes %SI_ID%
		if ( ctrlCreateUniqueFileName.checked )
			onCreateUniqueFileNameClick();
	}
}

function onAddExtensionClick()
{
	var theForm = document.forms[0];
	var ctrlPrefix = getCtrlPrefix();
	var ctrlFileSpec = theForm.elements[ctrlPrefix + "Filename"];

	var fileName = String(ctrlFileSpec.value);
	var index = fileName.lastIndexOf( ".%EXT%" );

	if ( theForm.elements[ctrlPrefix + "AddExtensionChk"].checked )
	{
		// make sure that filename ends with .%EXT%
		if ( (index == -1) || (index < (fileName.length - 6)) )
		{
			fileName = fileName + ".%EXT%";
		}
	}
	else
	{
		// remove .%EXT% from end of filename
		if ( (index != -1) && (index == (fileName.length - 6)) )
		{
			fileName = fileName.substring( 0, index );
		}
	}

	ctrlFileSpec.value = fileName;
}

function onCreateUniqueFileNameClick()
{
	var theForm = document.forms[0];
	var ctrlPrefix = getCtrlPrefix();

	var ctrlCreateUniqueFileName = theForm.elements[ctrlPrefix + "CreateUniqueFileNameChk"];
	if (!ctrlCreateUniqueFileName)
		return;

	var ctrlFileSpec = theForm.elements[ctrlPrefix + "Filename"];
	var fileName = String(ctrlFileSpec.value);

	var index = fileName.indexOf( "%SI_ID%" );
	if ( ctrlCreateUniqueFileName.checked )
	{
		// make sure that filename includes %SI_ID%
		if ( index == -1 )
		{
			// put it before file extension
			var indexExt = fileName.lastIndexOf( "." );
			if ( indexExt == -1 )
			{
				fileName = fileName + "%SI_ID%";
			}
			else
			{
				fileName = fileName.substring( 0, indexExt ) + "%SI_ID%" + fileName.substring( indexExt, fileName.length );
			}
		}
	}
	else
	{
		// remove %SI_ID% from filename
		if ( index != -1 )
		{
			fileName = fileName.substring( 0, index ) + fileName.substring( index+7, fileName.length );
		}
	}

	ctrlFileSpec.value = fileName;
}


function disableDisabledText(){
	<%
	if (bean.DestinationName == CeProgID.DISKUNMANAGED) { %>
			if(document.forms[0].diskAddExtensionChk.disabled){
			     document.getElementById("diskAddExtensionText").className="textOnPageDisabled" ;
			}else{
			     document.getElementById("diskAddExtensionText").className="textOnPage" ;
			}

	<% }
	if (bean.DestinationName == CeProgID.SMTP){ %>
			if(document.forms[0].smtpFileType[0].disabled){
			    document.getElementById("attachmentText1").className="textOnPageDisabled" ;
			    document.getElementById("attachmentText2").className="textOnPageDisabled" ;
			    document.getElementById("attachmentText3").className="textOnPageDisabled" ;
			} else {
			    document.getElementById("attachmentText1").className="textOnPage" ;
			    document.getElementById("attachmentText2").className="textOnPage" ;
			    document.getElementById("attachmentText3").className="textOnPage" ;
			}

			if(document.forms[0].smtpAddExtensionChk.disabled){
			     document.getElementById("smtpAddExtensionText").className="textOnPageDisabled" ;
			}else{
			     document.getElementById("smtpAddExtensionText").className="textOnPage" ;			
			}
		
	<%}
	if (bean.DestinationName == CeProgID.FTP){ %>
			if(document.forms[0].ftpAddExtensionChk.disabled){
			     document.getElementById("ftpAddExtensionText").className="textOnPageDisabled" ;
			}else{
			     document.getElementById("ftpAddExtensionText").className="textOnPage" ;
			}
	<%
	}
	%>
}

var _manualSelect=false

function init() {
<%
if (Session["cmd"] != "showOptions" && !bean.IsCurrentDocStatic) {
%>
	formatCheckList.init()	
	formatCheckList.selectByData("<%=bean.CurrentFormat%>", false)
	
<% } %>

<%
if (Session["cmd"] == "showOptions") {
	if (bean.DestinationName != "" && bean.DestinationName != null) {
	%>	

		zoneDiskUnmanaged.init()
		zoneSmtp.init()
		zoneFtp.init()
		zoneManaged.init()
		
		inboxFileNamePlcHold.init()
		//diskDirectoryPlcHold.init() // ADAPT01014809
		diskFilenamePlcHold.init()
		//ftpDirectoryPlcHold.init() // ADAPT01014809
		ftpFilenamePlcHold.init()
		smtpSubjectPlcHold.init()
		smtpMessagePlcHold.init()
		smtpFileNamePlcHold.init()
	
		zoneDiskUnmanaged.setDisplay(false)
		zoneSmtp.setDisplay(false)
		zoneFtp.setDisplay(false)
		zoneManaged.setDisplay(false)
			    
	    onIsDefaultOptionClick()
	   	initDestination(); 
<%
}
}
%>

	_manualSelect = true
}

function chgDoc() {
	if (!_manualSelect) return
	
	var theform = document.forms[0];
	theform.cmdMultiFormat.value = "chgDoc";

    if (validate()) {
		updateFormatForm()
		updateDestForm()
		theform.submit()
	}	
}

function chgDest() {
	if (!_manualSelect) return
	
	var theform = document.forms[0];
	theform.cmdMultiFormat.value = "chgDest";

    if (validate()) {
		updateFormatForm()
		updateDestForm()	
		theform.submit()
	}
}

function updateDestForm() {

	var theform=document.forms[0];
	if (getCtrlPrefix() == "inbox") {
		modifyValues();
	}
	if(theform.cleanupChk)
	{
		theform.elements["cleanup"].value=String(theform.cleanupChk.checked);
	}

}

function updateFormatForm() {
	
	var theform = document.forms[0];
	
	if (theform["filesList"]) 
		theform.chgDocId.value = theform["filesList"].value
		
	if (formatCheckList) {
		formatAr = formatCheckList.getSelections()
		
		if (formatAr && formatAr[0]) {
			theform.selectedFormat.value = formatAr[0].userData
		}	
		checkedItems  = formatCheckList.getCheckedItems()
	
		for (i = 0; i < formatCheckList.getCount(); i++) {
			var formatItem = formatCheckList.sub[i]
			eval( 'document.forms[0].' + formatItem.userData + '.value = false')
		}
			
		if (checkedItems) {
			for ( i = 0; i < checkedItems.length; i++) {
				var checkedIt = checkedItems[i]
				eval( 'document.forms[0].' + checkedIt.userData + '.value = true')
			}
		}
	}
}	

var hasMem = false;
var aChoiceMem = new Array();
var aTargetMem = new Array();

function inboxInit()
{
    var theForm = document.forms[0];
 
 	if ( theForm.inboxShowUsersOrGroups ) {   
	    var targets;
	    var choices;
	    if ( theForm.inboxShowUsersOrGroups.value == 'users' ) {
	        targets = theForm.usersTargets;
	        choices = theForm.usersChoices;
	    } else {
	        targets = theForm.groupsTargets;
	        choices = theForm.groupsChoices;
	    }
	    
	    theForm.usersTargets.length = 0;
	    theForm.groupsTargets.length = 0;
		theForm.usersChoices.length = 0;
	    theForm.groupsChoices.length = 0;	    
		// Remove the formatting options
		theForm.usersTargets.options[0] = null;
	    theForm.groupsTargets.options[0] = null;
		theForm.usersChoices.options[0] = null;
	    theForm.groupsChoices.options[0] = null;
	    
	
		var option;
		<%--
			add each option to the choices select area
		    if the option is in the list of already selected inboxes then mark it as selected
	
		    the addTarget() function will take all of the selected options and place them into
		        the other select area
		--%>
		
			var selectedUserIds = theForm.inboxSelectedInboxes.value.split(",");
			<%
			InfoObjects UsersBox = (InfoObjects)System.Web.HttpContext.Current.Session["bean.inboxUsers"];
			if (UsersBox != null)
			for (int i=0; i < UsersBox.Count; i++)
			{			
				string UsersBoxName =UsersBox[i+1].Title;
				%>
				var found = false;
				option = new Option('<%= BusinessObjects.Enterprise.WebUtil.Encoder.EncodeJS(UsersBoxName)%>','<%=UsersBox[i+1].ID%>', false, false);
				theForm.usersChoices.options[theForm.usersChoices.options.length] = option;
				for (var i = 0; i < selectedUserIds.length; i++) {
					if (selectedUserIds[i] == option.value) {
						found = true;
						break;
					}
					}
				option.selected = found;
					<%
				}%>
	
			var selectedGroupIds = theForm.inboxSelectedGroups.value.split(",");
			<%
			InfoObjects groupBox = (InfoObjects)System.Web.HttpContext.Current.Session["bean.inboxGroups"];
			if (groupBox != null)
			for (int i=0; i < groupBox.Count; i++)
			{			
				string groupBoxName =groupBox[i+1].Title;
				%>
				var found = false;
				option = new Option('<%= BusinessObjects.Enterprise.WebUtil.Encoder.EncodeJS(groupBoxName)%>','<%=groupBox[i+1].ID%>', false, false);
				theForm.groupsChoices.options[theForm.groupsChoices.options.length] = option;
				for (var i = 0; i < selectedGroupIds.length; i++) {
					if (selectedGroupIds[i] == option.value) {
						found = true;
						break;
					}
				}
			option.selected = found;
					<%
				}%>
		addTarget();
	}
}

function onChange(selectBox)
{
	var nonMemChange = false;
	var allMemChange = true;
	var disabledChange = false;
	var aMem = (selectBox.name.indexOf("Choices") >= 0) ? aChoiceMem : aTargetMem;

	var total = selectBox.options.length;
	for (count = 0; count < total; ++count)
	{
		if (selectBox.options[count].disabled)
		{
			if (selectBox.options[count].selected)
			{
				selectBox.options[count].selected = false;
				disabledChange = true;
			}
		}
		else if (aMem[count] && selectBox.options[count].selected) {
			allMemChange = false;
		}
		else if (!aMem[count] && selectBox.options[count].selected) {
			nonMemChange = true;
		}
	}

	if (hasMem && disabledChange && !nonMemChange && allMemChange) {
		revert();
	}
	else {
		memorize();
	}
}

function revert()
{
    var theForm = document.forms[0];
    
    var targets;
    var choices;
    if ( theForm.inboxShowUsersOrGroups.value == 'users' ) {
        targets = theForm.usersTargets;
        choices = theForm.usersChoices;
    } else {
        targets = theForm.groupsTargets;
        choices = theForm.groupsChoices;
    }
    
	var total = choices.options.length;
	for (count = 0; count < total; ++count)
	{
		choices.options[count].selected = aChoiceMem[count];
	}
	total = targets.length;
	for (count = 0; count < total; ++count)
	{
		targets.options[count].selected = aTargetMem[count];
	}
}

function memorize()
{
    var theForm = document.forms[0];
    
    var targets;
    var choices;
    if ( theForm.inboxShowUsersOrGroups.value == 'users' ) {
        targets = theForm.usersTargets;
        choices = theForm.usersChoices;
    } else {
        targets = theForm.groupsTargets;
        choices = theForm.groupsChoices;
    }
    
	var total = choices.options.length;
	for (count = 0; count < total; ++count)
	{
		aChoiceMem[count] = choices.options[count].selected;
	}
	total = targets.length;
	for (count = 0; count < total; ++count)
	{
		aTargetMem[count] = targets.options[count].selected;
	}
	hasMem = true;
}

function clear()
{
    var theForm = document.forms[0];
    
    var targets;
    var choices;
    if ( theForm.inboxShowUsersOrGroups.value == 'users' ) {
        targets = theForm.usersTargets;
        choices = theForm.usersChoices;
    } else {
        targets = theForm.groupsTargets;
        choices = theForm.groupsChoices;
    }
    
	var total = choices.options.length;
	for (count = 0; count < total; ++count)
	{
		choices.options[count].selected = false;
	}
	total = targets.length;
	for (count = 0; count < total; ++count)
	{
		targets.options[count].selected = false;
	}
	hasMem = false;
}

function onChangeUsersOrGroups()
{
    var theForm = document.forms[0];
    theForm.inboxShowUsersOrGroups.value = theForm.inboxShowUsersOrGroupsSelect.options[ theForm.inboxShowUsersOrGroupsSelect.selectedIndex ].value;

    if ( theForm.inboxShowUsersOrGroups.value == 'users' ) {
        theForm.usersChoices.style.display = 'block';
        theForm.groupsChoices.style.display = 'none';
        
        theForm.usersTargets.style.display = 'block';
        theForm.groupsTargets.style.display = 'none';
    } else {
        theForm.usersChoices.style.display = 'none';
        theForm.groupsChoices.style.display = 'block';
        
        theForm.usersTargets.style.display = 'none';
        theForm.groupsTargets.style.display = 'block';    
    }
  
    //document.forms[0].inboxFilter.value = document.forms[0].oldInboxFilter.value;
    //ADAPT00907016
    addTarget() // update selection list
	//modifyValues();??
}

function doFilter()
{
    modifyValues();
}

function addTarget()
{
    var theForm = document.forms[0];
    var targets;
    var choices;
    if ( theForm.inboxShowUsersOrGroups.value == 'users' ) {
        targets = theForm.usersTargets;
        choices = theForm.usersChoices;
    } else {
        targets = theForm.groupsTargets;
        choices = theForm.groupsChoices;
    }
	// Run through this list twice, once to add, once to delete
	total = choices.options.length;
	for (count = 0; count < total; ++count)
	{
		current_target = choices.options[count];

		if (current_target.selected)
		{

			// remove the object from the current targets
			target_name = current_target.text;
			target_id   = current_target.value;

			// Create a new option
			option = new Option(target_name, target_id, false, false);

			// add it to the possible targets
			targets.options[ targets.options.length ] = option;
		}
	}

	for (count = choices.options.length -1;  count >= 0; --count)
	{
		if (choices.options[count].selected)
			choices.options[count] = null;
	}
	clear();
}

function addAllTargets()
{
    var theForm = document.forms[0];
    
    var targets;
    var choices;
    if ( theForm.inboxShowUsersOrGroups.value == 'users' ) {
        targets = theForm.usersTargets;
        choices = theForm.usersChoices;
    } else {
        targets = theForm.groupsTargets;
        choices = theForm.groupsChoices;
    }
	// Run through the options and remove all selections
	total = choices.options.length;
	for (count = 0; count < total; ++count)
	{
		current_target = choices.options[count];

		if (!current_target.disabled){
			// remove the object from the current targets
			target_name = current_target.text;
			target_id   = current_target.value;

			// Create a new option
			option = new Option(target_name, target_id, false, false);

			// add it to the possible targets
			targets.options[ targets.options.length ] = option;
		}
	}

	// Remove old objects
	for (count = choices.options.length -1;  count >= 0; --count)
	{
		if (!choices.options[count].disabled)
			choices.options[count] = null;
	}
	clear();
}

function deleteTarget()
{
    var theForm = document.forms[0];
    var targets;
    var choices;
    if ( theForm.inboxShowUsersOrGroups.value == 'users' ) {
        targets = theForm.usersTargets;
        choices = theForm.usersChoices;
    } else {
        targets = theForm.groupsTargets;
        choices = theForm.groupsChoices;
    }
	// Run through the options and remove the current selections
	total = targets.length;
	for (count = 0; count < total; ++count)
	{
		current_target = targets.options[count];
		if (current_target.selected)
		{
			// remove the object from the current targets
			target_name = current_target.text;
			target_id   = current_target.value;

			// Create a new option
			option = new Option(target_name, target_id, false, false);

			// add it to the possible targets
			choices.options[choices.options.length] = option;
		}
	}
	for (count = total -1; count >= 0;  --count)
	{
		if (targets.options[count].selected)
		{
			targets.options[count] = null;
		}

	}
	clear();
}

function deleteAllTargets()
{
    var theForm = document.forms[0];
    var targets;
    var choices;
    if ( theForm.inboxShowUsersOrGroups.value == 'users' ) {
        targets = theForm.usersTargets;
        choices = theForm.usersChoices;
    } else {
        targets = theForm.groupsTargets;
        choices = theForm.groupsChoices;
    }
    
	// Run through the options and remove all of the selection
	total = targets.length;
	for (count = 0; count < total; ++count)
	{
		current_target = targets.options[count];

		if (!current_target.disabled){
			// remove the object from the current targets
			target_name = current_target.text;
			target_id   = current_target.value;

			// Create a new option
			option = new Option(target_name, target_id, false, false);

			// add it to the possible targets
			choices.options[choices.options.length] = option
		}
	}
	for (count = total -1; count >= 0;  --count)
	{
		if (!targets.options[count].disabled)
		{
			targets.options[count] = null;
		}

	}
	clear();
}

function modifyValues()
{
    var theForm = document.forms[0];
    var targets;
    
    //if inboxShowUsersOrGroups does not exist, then we are in publication mode, and 
    //we should not be showing the option to select inboxes or users
    if(!theForm.inboxShowUsersOrGroups)
    	return;
     
    if ( theForm.inboxShowUsersOrGroups.value == 'users' ) {
        targets = theForm.usersTargets;
    } else {
        targets = theForm.groupsTargets;
    }
	final_value = "";
	first = true;

	for (count = 0; count < targets.options.length; ++count)
	{
		if (!first)
		{
			final_value += ",";
		}
		else first = false;

		current_target = targets.options[count];
		final_value += current_target.value;

		// De-select all entries on the select box
		current_target.selected = false;
	}

	// Build the string
    if ( theForm.inboxShowUsersOrGroups.value == 'users' ) {
        theForm.inboxSelectedInboxes.value = final_value;
    } else {
        theForm.inboxSelectedGroups.value = final_value;
    }
}

function searchButtonPressed()
{
		document.forms[0].doSearch.value = true;
		doFilter();
		handleSubmit("doSearch");
}

</script>

</head>

<body>


<%-- Page content --%>
<form method="POST" action="<%= contextPath %>FullClientDestinationFormatAction.aspx" runat =server >
<%=ActionHelper.RenderParameters(Request, hiddenInputToRender) %>
<% FullClientDestinationFormat bean = (FullClientDestinationFormat) System.Web.HttpContext.Current.Session["bean"]; %>
<input type="hidden" name="selectedFormat" value='<%=bean.CurrentFormat%>'>
<input type="hidden" name="destinationName" value='<%=bean.DestinationName%>'/>
<input type="hidden" name="cmdMultiDest">
<input type="hidden" name="cmdMultiFormat">
<input type="hidden" name="okOrCancel" value="unset">
			
<%
FullClientDestinationFormat.FormatOption[] selectedFormats = (FullClientDestinationFormat.FormatOption[])System.Web.HttpContext.Current.Session["selectedFormats"];
for (int i = 0; i < selectedFormats.Length; i++)
{
%>
	<input type="hidden" name="<%=selectedFormats[i].FormatID%>" value='false'>
<%
}
%>

<p><br>


<%
if (Session["cmd"] != "showOptions")
{
%>

	<input type="hidden" name="chgDocId" value="<%=bean.Current_docID%>" >

	<% 
	bool setDestinationAllowed = (bool) System.Web.HttpContext.Current.Session["setDestinationAllowed"];
	if (setDestinationAllowed) { %>
		<a class="heading3" href="javascript:chgDest()" >
			<img class="appTreeCtrl" src="<%= imgMinus %>"  border="0" align="bottom" alt=''>
			<%=bundle.GetString("schedule.destination.outputformatdestination")%>
		</a>
	<% } %>
	<% if (!setDestinationAllowed) { %>
		<div class="heading3">
			<%= bundle.GetString("schedule.destination.outputsingleformat")%>
		</div>
	<% } %>

<p><br>
<div style="padding-left:20px" class="textOnPage">

	<table cellpadding="2" cellspacing="2">
		
		<tr>
			<% if (setDestinationAllowed) { %>
				<td class="textOnPage" valign="top" width="200"><%=bundle.GetString("schedule.format.label")%></td>
				<td class="textOnPage" valign="top" width="460"><%=bundle.GetString("schedule.destination.destination")%></td>
			<% } %>
		</tr>

		<tr>
		
		<%
		string currDocName = "";
		System.Collections.IList beanDocuments = (System.Collections.IList) System.Web.HttpContext.Current.Session["bean.documents"];
				IEnumerator ie = beanDocuments.GetEnumerator();
					for (int i = 0; ie.MoveNext(); i++)
					{
						FullClientDestinationFormat.DocumentWrapper beanDocument = (FullClientDestinationFormat.DocumentWrapper) ie.Current;
						currDocName = beanDocument.DocName;
					} %>
		
		<%-- Format --%>
		<td class='textOnPage' valign="top" style="border:1px solid" width="200">
			<% if (bean.IsCurrentDocStatic) { %>
				<table cellpadding="2" cellspacing="2"><tr><td>
					<%=bundle.GetString("schedule.destination.noformatsforstaticdocument")%>
				</td></tr></table>
			<% } %>	
			
			<% if (! bean.IsCurrentDocStatic) { %>
				<script language="javascript"> formatCheckList.write(); </script>
			<% } %>
		</td>
		<%-- End format --%>

		<% if (setDestinationAllowed) { %>
		<!-- multiple destinations -->		
			<td class="textOnPage" valign="top" style="border:1px solid">		                  		           						
				<table cellpadding="2" cellspacing="2">
					<tr>
				        <td class="textOnPage" valign="top">
					        <% if (! bean.IsCurrentDocStatic) { %>
				        		<%=bundle.GetString("schedule.destination.destinationsfor")%>
								<% for (int i = 0; i < bean.SelectedFormats.Length; i++) { %>
									<% if (bean.CurrentFormat == bean.SelectedFormats[i].FormatID) { %>
										<%=bean.SelectedFormats[i].DisplayName%>	
									<% } %>				    
								<% } %>	
							<% } %>													
							<% if(bean.IsCurrentDocStatic) { %>
								<%=bundle.GetString("schedule.destination.destinationsforstaticdocument")%>
							<% } %>						
							-        	
				        	<%=currDocName%>
				        </td>				
					</tr>
	
				    <tr>
				        <td class="textOnPage" valign="top">	       				
							<% for (int i = 0; i < bean.SelectedDestinations.Length; i++) { %>
			  					<input type="checkbox" onclick ="onDestinationCb(this.id)" id="<%=bean.SelectedDestinations[i].DestName%>" name="<%=bean.SelectedDestinations[i].DestName%>"<% if (bean.SelectedDestinations[i].DestName.Equals(bean.DestinationName)){ %> checked <% } %> <% if ((System.Web.HttpContext.Current.Session["currentFormatSelected"] == "" && !bean.IsCurrentDocStatic) || (bean.CurrentFormat == "HTML" && !(bean.SelectedDestinations[i].DestName == CeProgID.DISKUNMANAGED))){ %> disabled <% } %>>
			  					<label style="padding-left:2px" for="<%=bean.SelectedDestinations[i].DestName%>"><%=bean.SelectedDestinations[i].DisplayName%></label>
							<% } %>
				   </td>
				 </tr>					
				    
				</table>			
			</td>
			<!-- end of multiple destination -->
		<% } %>
		
		</tr>
		</table>
</div>

<% if (setDestinationAllowed){ %>
	<p><br>
	<a href="javascript:chgDest()" class="heading3">			
	    <img class="appTreeCtrl" src="<%=imgPlus%>"  border="0" align="bottom" alt=''>
	    <%=bundle.GetString("schedule.destination.destinationsoptions")%>
	</a>
<% } %>
				
<% } %>


<% if (Session["cmd"] == "showOptions" ) { %>

<a href="javascript:chgDoc()" class="heading2">
	<img class="appTreeCtrl" src="<%=imgPlus%>" border="0" align="bottom" alt=''>
	<%=bundle.GetString("schedule.destination.outputformatdestination")%>	    
</a>
<p><br>
<a href="javascript:chgDoc()" class="heading2">			
    <img class="appTreeCtrl" src="<%=imgMinus%>"  border="0" align="bottom" alt=''>
    <%=bundle.GetString("schedule.destination.destinationsoptions")%>
</a>

<p><br>
<div style="padding-left:20px" class="textOnPage">

<% if (bean.DestinationName == "" || bean.DestinationName == null) { %>
	<%=bundle.GetString("schedule.destination.nooptionsfordefault")%>				
<% } %>

<% if (bean.DestinationName != "" && bean.DestinationName != null) { %>

<table cellpadding="2" cellspacing="2">
<tr>
	<td class="textOnPage" valign="bottom" width="160"><%=bundle.GetString("schedule.destination.destinationsoutputformat")%></td>
	<td class="textOnPage" valign="bottom"><%=bundle.GetString("schedule.destination.optionssettings")%></td>
</tr>

<tr>		

<%-- Destinations List --%>
<td class='textOnPage' valign="top" style="border:1px solid">
<table cellpadding="2" cellspacing="2">
	<tr>        
        <td class="textOnPage" valign="top"> 
            <%=System.Web.HttpContext.Current.Session["availableDest"]%>		
		</td>
	</tr>
</table>
</td>

<td width="680" height="340" class='textOnPage' valign="top" style="border:1px solid">
 
	<table width='100%' cellspacing='2' cellpadding='2' border='0'>
	<tr><td valign="top"> 
	     
	    <input type="hidden" name="isDefaultOption" value='<%=bean.IsDefaultOption.ToString().ToLower()%>'/>
	    <%if(bean.IsDefaultOption==true) { %>
	   	<input type="checkbox" id="isDefaultOptionChk" name="isDefaultOptionChk" onclick="onIsDefaultOptionClick()" checked>
	    <% } else { %>
	    <input type="checkbox" id="isDefaultOptionChk" name="isDefaultOptionChk" onclick="onIsDefaultOptionClick()">
	    <%  } %>
	   	<label for="isDefaultOptionChk" style="padding-left:2px" for="isDefaultOptionChk">
	       	<%=bundle.GetString("schedule.destination.usedefaults")%></label>
 	</td></tr>
	</table>
 
<p><br>
 
<%-- Managed Destination Inbox --%>
	
<div id="zoneManaged" name = "zoneManaged" style="display:none">	

<table width='100%' cellspacing='2' cellpadding='2' border='0'>
<tr>
<td valign="top">

  <input type="hidden" name="inboxSelectedInboxes" value='<%=bean.InboxSelectedInboxes%>' />  
  <input type="hidden" name="inboxSelectedGroups" value='<%=bean.InboxSelectedGroups%>' /> 
<!--  <input type="hidden" name="oldInboxFilter" value='<c:out value="${bean.oldInboxFilter}"/>' /> -->
  <input type="hidden" name="doSearch" value='<%=bean.DoSearch.ToString().ToLower()%>' /> 
  <input type="hidden" name="inboxShowRecipients" value='<%=bean.IsInboxShowRecipients.ToString().ToLower()%>' /> 

        <%if (bean.IsInboxShowRecipients) { %>  

        <table>
          <tr>
            <td>
              <%=bundle.GetString("schedule.destination.inbox.operation")%>
              <input type="hidden" name="inboxShowUsersOrGroups" value='<%=bean.InboxShowUsersOrGroups%>' /> 
              <select class="selectListBox" name="inboxShowUsersOrGroupsSelect" onchange="onChangeUsersOrGroups();">
                <option value="users" <%if ((bean.InboxShowUsersOrGroups=="users") || (bean.InboxShowUsersOrGroups == "")) { %>selected <% } %>>
                  <%=bundle.GetString("schedule.destination.inbox.users")%>
                </option>
                <option value="groups" <%if (bean.InboxShowUsersOrGroups=="groups") { %> selected <% } %>>
                  <%=bundle.GetString("schedule.destination.inbox.groups")%>
                </option>
              </select>
            </td>
          </tr>
          <tr>
            <td>
            <%=bundle.GetString("schedule.destination.inbox.searchusers")%> 
            <input type="text"
              name="inboxFilter" value='<%=bean.InboxFilter%>' size="20"
              class="inputTextBox" />
            <button type="button" onclick="searchButtonPressed();"
              title="<%=bundle.GetString("destinationformat.destination.inbox.findnow")%>"> <%=bundle.GetString("schedule.destination.inbox.findnow")%></button>
				</td>
				</tr>
          <%if (bean.InboxShowUsersOrGroups == "users" && bean.IsInboxUsersOverLimit || bean.InboxShowUsersOrGroups == "groups" && bean.IsInboxGroupsOverLimit) {%>
            <tr>
              <td colspan="2" class="error">
                <b><%=bundle.GetString("schedule.destination.inbox.toomanyusers")%></b>
              </td>
            </tr>
          <% } %>
        </table>
        
        <table>
          <tr>
            <td><%=bundle.GetString("schedule.destination.inbox.availablerecipients")%></td>
            <td>&nbsp;</td>
            <td><%=bundle.GetString("schedule.destination.inbox.recipients")%></td>
          </tr>
          <tr>
            <td>
              <select <% if (bean.InboxShowUsersOrGroups!="users") {%>  style="display: none;"  <% } %> class="selectListBox" onchange="onChange(this);" multiple size="10" name="usersChoices">
                <option>This is a formatting string</option>
              </select>
              
              <select  <% if (bean.InboxShowUsersOrGroups!="groups") {%>  style="display: none;"  <% } %> class="selectListBox" onchange="onChange(this);" multiple size="10" name="groupsChoices">
                <option>This is a formatting string</option>
              </select>
            </td>
            <td>
            <table>
              <tr>
                <td style="text-align: center;">
                <button style="width: 30px"  type="button" onclick="addTarget();">&gt;</button>
                </td>
              </tr>
              <tr>
                <td style="text-align: center;">
                <button style="width: 30px"  type="button" onclick="addAllTargets();">&gt;&gt;</button>
                </td>
              </tr>
              <tr>
                <td style="text-align: center;">
                <button style="width: 30px"  type="button" onclick="deleteTarget();">&lt;</button>
                </td>
              </tr>
              <tr>
                <td style="text-align: center;">
                <button style="width: 30px" type="button" onclick="deleteAllTargets();">&lt;&lt;</button>
                </td>
              </tr>
            </table>
            </td>
            <td>
              <select <% if (bean.InboxShowUsersOrGroups!="users") { %>  style="display: none;"  <% } %> class="selectListBox" onchange="onChange(this)" multiple size="10" name="usersTargets">
                <option>This is a formatting string</option>
              </select>
              
              <select <% if (bean.InboxShowUsersOrGroups!="groups") { %>  style="display: none;"  <% } %>  class="selectListBox" onchange="onChange(this)" multiple size="10" name="groupsTargets">
                <option>This is a formatting string</option>
              </select>
            </td>
          </tr>
        </table>
        <% } %>
   <%-- end show recipients --%>
   	
	<%-- file inputs --%>
	<table cellspacing='0' cellpadding='0' border='0'>
		<tr><td class='textOnPage'><%=bundle.GetString("schedule.destination.targetobjectname")%></td></tr>
		<tr><td>
			<table cellpadding='2' cellspacing='2'>
				<tr>
					<td class='textOnPage'>						
						<input type="radio" id="defInboxFileType" name="inboxFileType" value="default" <% if (bean.InboxFileType=="default") { %> checked <% } %> onclick="onSetInboxFilenameDisabled()"/>
						<label for="defInboxFileType"><%=bundle.GetString("schedule.destination.defaultobjectname")%></label>
					</td>
				</tr>
				<tr>
					<td>
					<table cellpadding='0' cellspacing='0'>
					<tr> 
						<td valign='top' class='textOnPage'>
							<input type="radio" id="specInboxFileType" name="inboxFileType" value="specified" <% if (bean.InboxFileType=="specified") {%> checked <% } %> onclick="onSetInboxFilenameDisabled()"/>
							<label for="specInboxFileType"><%=bundle.GetString("schedule.destination.specifiedobjectname")%></label>
						</td>
						<td valign='top'>
							<script language="javascript">inboxFileNamePlcHold.write()</script>
						</td>	
						<td valign='top' class='textOnPage'>							
							<input type="text" id="inboxFileName" name="inboxFileName" value='<%=bean.InboxFileName%>' size="40" styleId="inboxFilename" class="inputTextBox"/>
						</td>
					</tr>	
					</table>
					</td>
				</tr>
			</table>
		</td></tr>
	</table>	
	
	<%-- send as shortcut or copy --%>
	<table cellspacing='2' cellspacing='2'>
		<tr><td class='textOnPage'><%=bundle.GetString("schedule.destination.inbox.sendas")%></td></tr>
		<tr><td>
			<table width='100%' cellspacing='0' cellspacing='0'>				
				<tr>
					<td class='textOnPage'>						
						<input type="radio" id="inboxSendAsShortcutTrue" name="inboxSendAsShortcut" value="true" <%if (bean.InboxSendAsShortcut==true){%>checked<%}%> />
						<label for="inboxSendAsShortcutTrue"><%=bundle.GetString("schedule.destination.inbox.sendasshortcut")%></label>												
					</td>
				</tr>
				<tr>
					<td class='textOnPage'>
						<input type="radio" id="inboxSendAsShortcutFalse"  name='inboxSendAsShortcut' value="false" <%if (bean.InboxSendAsShortcut==false){%>checked<%}%> />
						<label for="inboxSendAsShortcutFalse"><%=bundle.GetString("schedule.destination.inbox.sendascopy")%></label>
					</td>
				</tr>
			</table>
		</td></tr>
	</table>
	<%-- end send as --%>
		
	</td>
	</tr>
</table>	
	
</div>
                
<%-- Disk UnManaged File LOcation--%>
<table cellspacing='2' cellpadding='2' border='0' id="zoneDiskUnmanaged" name="zoneDiskUnmanaged"  style="display:none" width="100%">
<tr>
	<td valign="top">	
		<%-- file inputs --%>
		<table cellspacing="2" cellpadding="2" border="0">
			<tr>
				<td valign='top' class='textOnPage' width="80">
					<%=bundle.GetString("schedule.destination.directory")%>
			    </td>
                <td>		
				</td>				
				<td>								
					<input type="text" id="diskDirectory" name="diskDirectory" value='<%=bean.DiskDirectory%>' size="47" class="inputTextBox" />
       			</td>
			</tr>
		</table>	
		<table cellspacing="2" cellpadding="2" border="0">	
			<tr>		
				<td class='textOnPage' colspan="3"><%=bundle.GetString("schedule.destination.filename")%></td>	
			</tr>	
			<tr>	
				<td class='textOnPage' colspan="3">					
					<input type="radio" id="defDiskFileType" name="diskFileType" value="default" <%if (bean.DiskFileType=="default") { %>checked<% } %> onclick="onSetDiskFilenameDisabled()" />
					<label for="defDiskFileType"><%=bundle.GetString("schedule.destination.defaultfilename")%></label>					
				</td>					
			</tr>
			<tr>
				<td valign='top' class='textOnPage' width="120">					
					<input type="radio" id="specDiskFileType" name="diskFileType" value="specified" <%if (bean.DiskFileType=="specified"){%>checked<%}%> onclick="onSetDiskFilenameDisabled()" />
					<label for="specDiskFileType"><%=bundle.GetString("schedule.destination.specifiedfilename")%></label>
				</td>
				<td valign='top'>						
					<script language="javascript">diskFilenamePlcHold.write()</script>
				</td>					
				<td valign='top' class='textOnPage'>						
					<input type="text" name="diskFilename" value='<%=bean.DiskFilename%>' size="40" class="inputTextBox"/>
				</td>	
			</tr>
			<tr>
				<td colspan="2">&nbsp;</td>				
				<td class='textOnPage' valign='top'>					
					<div id="diskAddExtensionText">
						<input type="hidden" name="diskAddExtension" value='<%=bean.DiskAddExtension.ToString().ToLower()%>'/>
						<input type="checkbox" id="diskAddExtensionChk" name="diskAddExtensionChk" onclick="onAddExtensionClick()"/>
						<label style="padding-left:2px" for="diskAddExtensionChk"><%=bundle.GetString("schedule.destination.addfileext")%></label>
					</div>
				</td>
				<td valign='top'>				
					<%
					string showCreateUniqueCheckbox = (string) System.Web.HttpContext.Current.Session["showCreateUniqueCheckbox"];
					if (showCreateUniqueCheckbox == "true"){%>
						<input type="hidden" name="diskCreateUniqueFileName" value='<%=bean.DiskCreateUniqueFileName%>'/>
						<input type="checkbox" id="diskCreateUniqueFileNameChk" name="diskCreateUniqueFileNameChk" onclick="onCreateUniqueFileNameClick()"/>
						<label style="padding-left:2px" for="diskCreateUniqueFileNameChk">
						<%=bundle.GetString("schedule.destination.createuniquefilename")%></label>
					<%}%>
				</td>
			</tr>			
		</table>	
		<table cellspacing="2" cellpadding="2" border="0">				
       		<tr>	
				<td valign='top' class='textOnPage' width="80"><%=bundle.GetString("schedule.destination.disk.user")%></td>
				<td class='textOnPage' width="140"><input type="text" class='inputTextBox' name='diskUser' value='<%=bean.DiskUser%>' size='12'/></td>			       				
			</tr>
			<tr>								
				<td valign='top' class='textOnPage' width="80"><%=bundle.GetString("schedule.destination.disk.password")%></td>
				<td class='textOnPage' width="140"><input type="password" class='inputTextBox' name='diskPassword' value='<%=bean.DiskPassword%>' size='12'/></td>				
			</tr>
		</table>		
		</td>
		
		<%-- end file inputs --%>
	</tr>


</table>

<%-- FTP --%>
<table cellspacing='2' cellpadding='2' border='0' id="zoneFtp" name="zoneFtp" style="display:none">		
<tr>
	<td valign='top'>		
	    <table cellpadding="2" cellspacing="2">
	    	<tr>
	    	<td class='textOnPage' width="80"><%=bundle.GetString("schedule.destination.ftp.host")%></td>
	        <td class='textOnPage'><input type="text" class='inputTextBox' name='ftpHost' value='<%=bean.FtpHost%>' style="width:200px"/></td></tr>
	        <tr><td class='textOnPage'><%=bundle.GetString("schedule.destination.ftp.port")%></td>
	        <td class='textOnPage'><input type="text" class='inputTextBox' name='ftpPort' value='<%=bean.FtpPort%>' size="5"/></td></tr>
	        <tr><td class='textOnPage'><%=bundle.GetString("schedule.destination.ftp.user")%></td>
	        <td class='textOnPage'><input type="text" class='inputTextBox' name='ftpUser' value='<%=bean.FtpUser%>' style="width:200px"/></td></tr>
	        <tr><td class='textOnPage'><%=bundle.GetString("schedule.destination.ftp.password")%></td>
	        <td class='textOnPage'><input type="password" class='inputTextBox' name='ftpPassword' value='<%=bean.FtpPassword%>' style="width:200px"/></td></tr>
	        <tr><td class='textOnPage'><%=bundle.GetString("schedule.destination.ftp.account")%></td>
	        <td class='textOnPage'><input type="text" class='inputTextBox' name='ftpAccount' value='<%=bean.FtpAccount%>' style="width:200px"/></td></tr>  
      	</table>
	</td>
	
 	<td valign='top'>   			
 	  <table cellpadding="2" cellspacing="2">
        <tr>
        	<td valign='top' class='textOnPage' width="80">
        		<%=bundle.GetString("schedule.destination.directory")%>
			</td>
			<td valign='top'>        		
         	</td>
	        <td valign='top' class='textOnPage'>
	        	<input type="text" id="ftpDirectory" name="ftpDirectory" value='<%=bean.FtpDirectory%>' style="width:240px" class="inputTextBox"/>		
        	</td>
        </tr>
        <tr>
        	<td valign='top' colspan="3" class='textOnPage'><%=bundle.GetString("schedule.destination.filename")%></td>
        </tr>
       </table>
       <table cellpadding="2" cellspacing="2"> 	
        	<tr>	
	        <td valign='top' colspan="3" class='textOnPage'>
		        <%-- file inputs --%>

                <table style="padding-left:20px" cellspacing='0' cellpadding='0' width='100%'>
                <tr>
                	<td class='textOnPage' valign='top' colspan="3">                		
                    	<input type="radio" id="defFtpFileType" name="ftpFileType" value="default" <% if (bean.FtpFileType=="default"){%>checked<%}%> onclick="onSetFTPFilenameDisabled()" />
                    	<label for="defFtpFileType"><%=bundle.GetString("schedule.destination.defaultfilename")%></label>                    	
	                </td>
                </tr>
                <tr>
                	<td valign='top' class='textOnPage'  colspan="3">	                	
                		<input type="radio" id="specFtpFileType" name="ftpFileType" value="specified" <%if (bean.FtpFileType=="specified"){%>checked<%}%> onclick="onSetFTPFilenameDisabled()" />
	                    <label for="specFtpFileType"><%=bundle.GetString("schedule.destination.specifiedfilename")%></label>                		
                	</td>
                </tr>
                <tr>
                	<td>&nbsp;</td>                	
	                <td valign='top' align="right">	                    
	                    <script language="javascript">ftpFilenamePlcHold.write()</script>
	                </td>    
	                <td valign='top' class='textOnPage'> 
	                    
	                    <input type="text" id="ftpFilename" name="ftpFilename" value='<%=bean.FtpFilename%>' style="width:200px" size="40" class="inputTextBox"/>                  
						
						<div id="ftpAddExtensionText">
						<input type="hidden" name="ftpAddExtension" value='<%=bean.FtpAddExtension.ToString().ToLower()%>'/>
	 					<input type="checkbox" id="ftpAddExtensionChk" name="ftpAddExtensionChk" onclick="onAddExtensionClick()"  />
	 					<label style="padding-left:2px" for="ftpAddExtensionChk">
	 					<%=bundle.GetString("schedule.destination.addfileext")%></label>
	 					</div>
						<%if (showCreateUniqueCheckbox == "true"){%>
							<br>
							<input type="hidden" name="ftpCreateUniqueFileName" value='<%=bean.FtpCreateUniqueFileName%>'/>
		 					<input type="checkbox" id="ftpCreateUniqueFileNameChk" name="ftpCreateUniqueFileNameChk" onclick="onCreateUniqueFileNameClick()"/>
		 					<label style="padding-left:2px" for="ftpCreateUniqueFileNameChk">
		 					<%=bundle.GetString("schedule.destination.createuniquefilename")%></label>
						<%}%>
                	</td>                	                	 
                </tr>

           		</table>
       
        	<%-- end file inputs --%>
		    </td>
		</tr>
		</table>	
	   </td>
	</tr>
</table>


<%-- SMTP Email--%>
<table width='100%' cellspacing='2' cellpadding='2' border='0' id="zoneSmtp" name="zoneSmtp" style="display:none">		
<tr>		
	<td valign='top'>    	
    <table cellspacing='0' cellpadding='0'>
    
    	<tr>
	        <td class='textOnPage'><%=bundle.GetString("schedule.destination.smtp.sender")%></td>
			<td class='textOnPage'>&nbsp;</td>
        	<td class='textOnPage'><input type="text" class='inputTextBox' name='smtpSender' value='<%=bean.SmtpSender%>' size="30"/></td>
        </tr>
        
        <tr>
        	<td class='textOnPage'><%=bundle.GetString("schedule.destination.smtp.to")%></td>
			<td class='textOnPage'>&nbsp;</td>
    	    <td class='textOnPage'><input type="text" class='inputTextBox' name='smtpTo' value='<%=bean.SmtpTo%>' size="30"/>
        	</td>
        </tr>
        <tr>
        	<td class='textOnPage'><%=bundle.GetString("schedule.destination.smtp.cc")%></td>
			<td class='textOnPage'>&nbsp;</td>
	        <td class='textOnPage'>
            <input type="text" class='inputTextBox' name='smtpCc' value='<%=bean.SmtpCc%>' size="30"/>
        	</td>
        </tr>
        
        <tr>	
        	<td valign='top' class='textOnPage'>
        		<%=bundle.GetString("schedule.destination.smtp.subject")%>
            </td>
            <td valign='top'>        		
	        	<script language="javascript">smtpSubjectPlcHold .write()</script>
    	    </td>
    	    <td valign='top' class='textOnPage'>
            	<input type="text" id="smtpSubject" name="smtpSubject" class="inputTextBox" value='<%=bean.SmtpSubject%>' size="30"/>
        	</td>
        </tr>

	</table>	
</td>

<td valign='top'>
	 <table width='100%' cellspacing='0' cellpadding='0'>
        <tr><td class='textOnPage' valign='top' colspan="2">
            <input type="hidden" name="smtpUseAttachment" value='<%=bean.IsSmtpUseAttachment.ToString().ToLower()%>'/>
            <input type="checkbox" id="smtpUseAttachmentChk" name='smtpUseAttachmentChk' onclick='onSetSMTPFileDisabled(!this.checked);'  <%if (bean.IsSmtpUseAttachment){%>checked<%}%> />
			<label style="padding-left:2px" for="smtpUseAttachmentChk">
			<%=bundle.GetString("schedule.destination.smtp.attachment")%></label>
        </td></tr>
	</table>
		
        <%-- file inputs --%>
	<table width='100%' cellspacing='2' cellpadding='2'>
        <tr><td id="attachmentText1"><%=bundle.GetString("schedule.destination.smtp.attachmentlabel")%></td></tr>
        <tr><td>
            <table cellspacing='0' cellspacing='0'>
              <tr>
              	<td valign='top' colspan="3">
	               	<input type="radio" name="smtpFileType" value="default" <%if (bean.SmtpFileType=="default"){%>checked<%}%> onclick="onSetSMTPFilenameDisabled()" />
	               	<label id="attachmentText2" style="padding-left:2px" for="smtpFileType">
	               	<%=bundle.GetString("schedule.destination.defaultfilename")%></label>
               </td>
              </tr>
              
              <tr>
              	<td valign='top'>
              		<input type="radio" name="smtpFileType" value="specified" <%if (bean.SmtpFileType=="specified"){%>checked<%}%> onclick="onSetSMTPFilenameDisabled()" />
              		<label id="attachmentText3" style="padding-left:2px" for="smtpFileType">
              		<%=bundle.GetString("schedule.destination.specifiedfilename")%></label>
              	</td>

	           	<td valign='top'>        		
	       			<script language="javascript">smtpFileNamePlcHold.write()</script> 
	        	</td>
	              <td valign='top'>     
	                 <input type="text" id="smtpFilename" name="smtpFilename" value='<%=bean.SmtpFilename%>' style="width:160px" size="40" class="inputTextBox"/>
	
					<div id="smtpAddExtensionText"><input type="hidden" name="smtpAddExtension" value='<%=bean.SmtpAddExtension.ToString().ToLower()%>'/>
						<input type="checkbox" id="smtpAddExtensionChk" name="smtpAddExtensionChk" onclick="onAddExtensionClick()"/>
	 					<label style="padding-left:2px" for="smtpAddExtensionChk">
							<%=bundle.GetString("schedule.destination.addfileext")%></label>
						</div>
						<%if (showCreateUniqueCheckbox == "true") { %>
							<br><input type="hidden" name="smtpCreateUniqueFileName" value='<%=bean.SmtpCreateUniqueFileName%>'/>
								<input type="checkbox" id="smtpCreateUniqueFileNameChk" name="smtpCreateUniqueFileNameChk" onclick="onCreateUniqueFileNameClick()"/>
								<label style="padding-left:2px" for="smtpCreateUniqueFileNameChk">
								<%=bundle.GetString("schedule.destination.createuniquefilename")%></label>
						<% } %>
	               </td>
	           </tr>
            </table>
	    </td>
	</tr>
		
	</table>
    </td>
</tr>
     
<tr>
	<td colspan="2">
      	<table cellspacing='0' cellpadding='0'>
		   	<tr>
		   		<td valign='top' width="80" class='textOnPage'>
			    	<%=bundle.GetString("schedule.destination.smtp.message")%>
			    </td>
			    <td valign='top'>        		
			    	<script language="javascript">smtpMessagePlcHold.write()</script> 
			    </td>
				<td valign='top' class='textOnPage'>
					<textarea name='smtpMessage'rows='8' cols='60' styleclass='inputTextBox'><%=bean.SmtpMessage%></textarea>				
			    </td>
			</tr>
		</table>
    </td>
</tr>   
</table>

<table class='textOnPage' cellspacing='2' cellpadding='2' border='0'>

<tr><td valign="top"> 
	<%if (bean.SendToChoice == ""){%>
		<input type="hidden" name="cleanup" value='<%=bean.IsCleanup.ToString().ToLower()%>'/>
		<input type="checkbox" id="cleanupChk" name="cleanupChk"/>
		<label style="padding-left:2px" for="cleanupChk">
		<%=bundle.GetString("schedule.destination.cleanup")%></label>
	<%}%>
</td></tr>
</table>			

<% } %>
</div>
<% } %>
<asp:Button id="hiddenSubmit" runat="server" text="submit"  style="Display:none"></asp:Button>

</form></body>

<script type="text/javascript">setTimeout("init()", 1)</script>

</html>

